OneBasket
TimestreamsTimelines

Get a list of timelines

GET
/timestreams/{timestreamId}/timelines

Get a list of timelines for a specific timestream

Path Parameters

timestreamId*string

Query Parameters

pageSize?integer

The number of results per page

Default50
page?integer

The page of results to return

Default1

Header Parameters

x-api-key*string

OneBasket API Key

Formatpassword

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/timestreams/string/timelines" \  -H "x-api-key: pa$$word"
{  "page": 0,  "pageSize": 0,  "pageTotal": 0,  "resultsTotal": 0,  "hasNextPage": true,  "hasPreviousPage": true,  "results": [    {      "type": "Primary",      "id": "string",      "timestreamId": "string",      "title": "string",      "timeperiods": 0    }  ]}